# -*- coding: utf-8 -*-
"""
    Coinkit
    ~~~~~

    :copyright: (c) 2014 by Halfmoon Labs
    :license: MIT, see LICENSE for more details.
"""

__version__ = '0.6.6'

import services

import transactions
from .transactions import *

import passphrases
from .passphrases import create_passphrase
from .passphrases.legacy import random_160bit_passphrase, random_256bit_passphrase

from .b58check import b58check_encode, b58check_decode, b58check_unpack, \
    b58check_version_byte, is_b58check
from .hash import bin_hash160, hex_hash160, reverse_hash
from .formatcheck import is_secret_exponent, is_256bit_hex_string, is_wif_pk, \
    is_b58check_address, is_hex_ecdsa_pubkey, is_binary_ecdsa_pubkey
from .wallet import SDWallet

from .keypair import *
from .privatekey import *
from .publickey import *
